# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


deep-remove-regex:
- "/java-common-protos/grpc-google-.*/src"
- "/java-common-protos/proto-google-.*/src"
- "/java-common-protos/google-.*/src"

deep-preserve-regex:
- "/java-common-protos/google-.*/src/test/java/com/google/cloud/.*/v.*/it/IT.*Test.java"

deep-copy-regex:
- source: "/google/api/google-api-java/proto-google-api-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/cloud/audit/google-cloud-audit-java/proto-google-cloud-audit-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/geo/type/google-geo-type-java/proto-google-geo-type-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/logging/type/google-logging-type-java/proto-google-logging-type-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/longrunning/google-longrunning-java/proto-google-longrunning-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/rpc/google-rpc-java/proto-google-rpc-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/rpc/context/google-context-java/proto-google-context-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/type/google-type-java/proto-google-type-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/cloud/google-apps-script-type-java/proto-google-apps-script-type-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/cloud/location/google-cloud-location-java/proto-google-cloud-location-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/proto-google-common-protos/src"

- source: "/google/cloud/location/google-cloud-location-java/grpc-google-cloud-location-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/grpc-google-common-protos/src"

- source: "/google/longrunning/google-longrunning-java/grpc-google-longrunning-java/src"
  dest: "/owl-bot-staging/java-common-protos/v1/grpc-google-common-protos/src"
api-name: common-protos
